import {PWInboxWidget as InboxWidget} from '../src';
import initTrigger from './methods/initTrigger';
import renderWidget from './methods/renderWidget';
import openWidget from './methods/openWidget';
import isFixed from './methods/isFixed';
import positionWidget from './methods/positionWidget';
import {clearDocumentHTML} from './helpers';

describe('InboxWidget', () => {
   beforeEach(clearDocumentHTML);

   describe('Init trigger', initTrigger);
   describe('Method isFixed', isFixed);
   describe('Render widget', renderWidget);
   describe('Open widget', openWidget);
   describe('Position widget', positionWidget);
});