import {PWInboxWidget as InboxWidget} from '../../src';
import {expect} from 'chai';
import {pwinbox} from '../constants';

export default () => {
    it('isFixed property must be true', () => {
        const params = {
            enable: true,
            pwinbox,
            push: async () => {},
            inboxWidgetConfig: {
                triggerId: 'fixedTrigger'
            }
        };
        const inbox = new InboxWidget(params as any);
        expect(inbox.isFixed).is.true;
    });
    it('isFixed property must be false', () => {
        const params = {
            enable: true,
            pwinbox,
            push: async () => {},
            inboxWidgetConfig: {
                triggerId: 'unfixedTrigger'
            }
        };
        const inbox = new InboxWidget(params as any);
        expect(inbox.isFixed).is.not.true;
    });
}