import InboxWidget from './InboxWidget';
import {getGlobal} from './helpers';

function setInbox() {
    const global = getGlobal();

    if (!global.Pushwoosh) {
        return;
    }

    global.PWInboxWidget = InboxWidget;
}

if (document.readyState === 'complete') {
    setInbox();
}
else {
    window.addEventListener('load', setInbox);
}
