export const pwinbox = {
    readMessagesWithCodes: async () => null,
    loadMessages: async () => messagesMock,
    unreadMessagesCount: async () => 0,
    performActionForMessageWithCode: async () => null,
    deleteMessagesWithCodes: async () => null
};

export const fullPwinbox = {
    readMessagesWithCodes: async () => null,
    loadMessages: async () => messagesMock,
    unreadMessagesCount: async () => 2,
    performActionForMessageWithCode: async () => null,
    deleteMessagesWithCodes: async () => null
};

export const commonParams = {
    enable: true,
    pwinbox,
    push: async () => {},
    inboxWidgetConfig: {
        triggerId: 'unfixedTrigger'
    }
};

export const messagesMock: Array<IInboxMessagePublic> = [
    {
        code: 'message-the-first',
        title: 'Title1',
        message: 'Message1',
        imageUrl: 'http://test.ru/test.png',
        sendDate: '',
        type: 0,
        isRead: true,
        isActionPerformed: false
    },
    {
        code: 'message-the-second',
        title: 'Title2',
        message: 'Message2',
        imageUrl: 'http://test.ru/test.png',
        sendDate: '',
        type: 0,
        isRead: false,
        isActionPerformed: false
    },
    {
        code: 'message-the-third',
        title: 'Title3',
        message: 'Message3',
        imageUrl: 'http://test.ru/test.png',
        sendDate: '',
        type: 0,
        isRead: true,
        isActionPerformed: true
    }
];